;indiglow_blue/theme.jl

(let*
     ((font-colors        (list (get-color "white")
			       (get-color "black")))
     
     (title-images       (list (make-image "title_inact.png")
                            (make-image "title.png")))
     
     (iconify-images     (list (make-image "min_inact.png") (make-image "min.png") 
		               nil (make-image "min_press.png")))
     (maximize-images    (list (make-image "max_inact.png") (make-image "max.png")
 			       nil (make-image "max_press.png")))
     (close-images       (list (make-image "close_inact.png") (make-image "close.png")
                               nil (make-image "close_press.png")))
     (menu-images        (list (make-image "menu_inact.png")(make-image "menu.png")
                               nil (make-image "menu_press.png")))
     
     (border-top         (make-image "top_border.png"))
     (border-bottom      (make-image "bottom.png"))
     (border-right       (make-image "right_border.png"))
     (border-left        (make-image "left_border.png"))
     
     (corner-tl-2        (make-image "top_left_corner_2.png"))
     (corner-tr-2        (make-image "top_right_corner_2.png"))
     (corner-tl          (list (make-image "top_left_corner_inact.png")
                            (make-image  "top_left_corner.png")))
     (corner-tr          (list (make-image "top_right_corner_inact.png")
                            (make-image  "top_right_corner.png")))
     (corner-bl          (make-image "lower_left_corner.png"))
     (corner-br          (make-image "lower_right_corner.png"))
     
     (frame
      `(((background   . ,menu-images)
	 (top-edge     . -11)
	 (right-edge    . 1)
	 (class        . menu-button))

	((background  . ,title-images)
	 (foreground  . ,font-colors)
	 (text        . ,window-name)
	 (x-justify   . 5)
	 (y-justify   . center)
	 (top-edge    . -13)
	 (left-edge   . 16)
	 (right-edge  . 40)
	 (class       . title))

	((background  . ,iconify-images)
	 (top-edge    . -11)
	 (right-edge  . 21) 
	 (class       . iconify-button))

	((background  . ,maximize-images)
	 (top-edge    . -11)
	 (right-edge  . 11)
	 (class       . maximize-button))

	((background  . ,close-images)
	 (top-edge    . -11)
	 (left-edge   .  0)
	 (class       . close-button))

	((background  . ,border-left)
	 (top-edge    . 0)
	 (bottom-edge . 0)
	 (left-edge   . -4) 
	 (class       . left-border))

	((background  . ,border-right)
	 (top-edge    . 0)
	 (bottom-edge . 0)
	 (right-edge  . -4)
	 (class       . right-border))

	((background  . ,border-bottom)
	 (bottom-edge . -4)
	 (right-edge  . 0)  
	 (left-edge   . 0)   
	 (class       . bottom-border))

	((background  . ,corner-tl)
	 (top-edge    . -13)
	 (left-edge   . -4)
	 (class       . top-left-corner))

	((background  . ,corner-tr)
	 (top-edge    . -13)
	 (right-edge  . -4)
	 (class       . top-right-corner))

	((background  . ,corner-bl)
	 (bottom-edge . -4)
	 (left-edge   . -4)  
	 (class       . bottom-left-corner))

	((background  . ,corner-br)
	 (bottom-edge . -4)
	 (right-edge  . -4) 
	 (class       . bottom-right-corner))))

     (shaped-frame
      `(((background . ,title-images)
	 (foreground . ,font-colors)
	 (text       . ,window-name)
	 (x-justify  . 5)
	 (y-justify  . center)
	 (top-edge   . -13)
	 (left-edge  . 16)
	 (right-edge . 40)
	 (class      . title))

	((background . ,iconify-images)
	 (top-edge   . -11)
	 (right-edge . 21) 
	 (class      . iconify-button))

	((background . ,maximize-images)
	 (top-edge   . -11)
	 (right-edge . 11)
	 (class      . maximize-button))

	((background . ,menu-images)    
	 (top-edge   . -11)
	 (right-edge  . 1)
	 (class      . menu-button))

	((background . ,close-images)
	 (top-edge   . -11)
	 (left-edge . 0)
	 (class      . close-button))

	((background . ,corner-tl)
	 (top-edge   . -13)
	 (left-edge  . -4)
	 (class      . top-left-corner))

	((background . ,corner-tr)
	 (top-edge   . -13)
	 (right-edge . -4)
	 (class      . top-right-corner))))

     (transient-frame
      `(((background . ,border-top)
	 (foreground  . "black")
	 (text        . ,window-name)
	 (x-justify   . center)
	 (y-justify   . center)
	 (top-edge   . -13)
	 (left-edge  . 16)
	 (right-edge . 40)
	 (class      . title))

	((background  . ,border-left)
	 (top-edge    . 0)
	 (bottom-edge . 0)
	 (left-edge   . -4) 
	 (class       . left-border))

	((background  . ,border-right)
	 (top-edge    . 0)
	 (bottom-edge . 0)
	 (right-edge  . -4)
	 (class       . right-border))

	((background  . ,border-bottom)
	 (bottom-edge . -4)
	 (right-edge  . 0)  
	 (left-edge   . 0)   
	 (class       . bottom-border))

	((background  . ,corner-tl-2)
	 (top-edge    . -13)
	 (left-edge   . -4)
	 (class       . top-left-corner))

	((background  . ,corner-tr-2)
	  (top-edge   . -13)
	  (right-edge . -4)
	  (class      . top-right-corner))

	 ((background  . ,corner-bl)
	  (bottom-edge . -4)
	  (left-edge   . -4)  
	  (class       . bottom-left-corner))

	 ((background  . ,corner-br)
	  (bottom-edge . -4)
	  (right-edge  . -4) 
	  (class       . bottom-right-corner))))
	
     (shaped-transient-frame
      `(((background   . ,menu-images)
	 (top-edge     . -11)
	 (right-edge    . 0)
	 (class        . menu-button))

	((background   . ,title-images)
	 (foreground   . ,font-colors)
	 (text         . ,window-name)
	 (x-justify    . left)
	 (y-justify    . center)
	 (top-edge     . -13)
	 (left-edge    . 16)
	 (right-edge   . 40)
	 (class        . title))				    

	((background   . ,iconify-images)
	 (top-edge     . -11)
	 (right-edge   . 21) 
	 (class        . iconify-button))

	((background   . ,maximize-images)
	 (top-edge     . -11)
	 (right-edge   . 11)
	 (class        . maximize-button))

	((background   . ,close-images)
	 (top-edge     . -11)
	 (left-edge   . 0)
	 (class        . close-button))

	((background   . ,corner-tl)
	 (top-edge     . -13)
	 (left-edge    . -4)
	 (class        . top-left-corner))

	((background   . ,corner-tr)
	 (top-edge     . -13)
	 (right-edge   . -4)
	 (class        . top-right-corner))))
	
     (theme-name 'indiglow_blue))
  
  (add-frame-style
   theme-name
   (lambda (w type)   
     (cond 
      ((eq type 'shaped) shaped-frame)
      ((eq type 'transient) transient-frame)
      ((eq type 'shaped-transient) shaped-transient-frame)
      ((eq type 'unframed) nil-frame)
      ;; Default frame
      ((<= (car (window-dimensions w)) 59) transient-frame)

      (t frame))))
  (add-hook 'window-resized-hook
	   (lambda (w)
	      (unless (equal resize-outline-mode 'opaque)
		(reframe-one-window w)))))

